#---------------------------------------------
# morsen.py
# Durch Ein- und Ausschalten einer Lampe
# über eine Funksteckdose werden Morsezeichen
# gesendet.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 15, Projekt 42
# 1.11.2014
#---------------------------------------------
# morsen.py
from time import time, sleep
from os import system

DIT = 1
AN = 'sudo pilight -p elro_he -s 1 -u 8 -t'
AUS = 'sudo pilight -p elro_he -s 1 -u 8 -f'
MORSECODE = {'a':'.-', 'b':'-...', 'c':'-.-.',
   'd':'-..', 'e':'.', 'f':'..-.', 'g':'--.',
   'g':'--.', 'h':'....', 'i':'..', 'j':'.---',
   'k':'-.-', 'l':'.-..', 'm':'--', 'n':'-.',
   'o':'---', 'p':'.--.', 'q':'--,-', 'r':'.-.',
   's':'...', 't':'-', 'u':'..-', 'v':'...-', 
   'w':'.--', 'x':'-..-', 'y':'-.--', 'z':'--..'}

def morse(buchstabe):
    for a in MORSECODE[buchstabe]:
        #system(AN)
        if a == '.':
            sleep(DIT)
        else:
            sleep(3*DIT)
        #system(AUS)
        sleep(DIT)
        print(a, end='')
    sleep(3*DIT)
    print(' ', end='')
 
def sende(text):
    for buchstabe in text:
        if buchstabe in MORSECODE.keys():
            morse(buchstabe)
        else:
            sleep(7*DIT)
            print('  ', end='')
               
# Eingabe
print('Was soll gesendet werden?')
text = input('Text: ').lower()
print('Wie oft soll gesendet werden?')
anzahl = int(input('Anzahl: '))
print('In wie viel Minuten soll gesendet werden?')
minuten = float(input('Minuten: '))

# Verarbeitung
sleep(60*minuten)
for i in range(anzahl):
    sende(text)
    
# Ausgabe
print('Nachricht wurde %i Mal gesendet' %(anzahl))
      
             
