#! /usr/bin/python3.2
#---------------------------------------------
# gymnastik.pyw
# Der Trainer gibt eine bewegung vor.
# Per Ultraschall wird geprüft, ob die Bewegung
# gemacht wurde.
#
# Michael Weigend
# Raspberry Pi für Kids
# mitp 2015
# Kapitel 16, Projekt 46
# 1.11.2014
#---------------------------------------------

from us_python import berechne_abstand
from tkinter import *
import random, time, _thread

def neue_position():
    ''' Setzt neues Bild auf Label.'''
    global position
    neu = position 
    while neu == position:
        positionen = list(bilder.keys())
        neu = random.choice(positionen)
    position = neu
    bild_label.config(image=bilder[position])
    
def start():
    '''Startet neue Übung.'''
    global zeit, punkte
    zeit = 120
    zeit_label.config(text=str(zeit))
    punkte = 0
    _thread.start_new_thread(run, ())

def fertig():
    '''Prüft ob Spieler Übung gemacht hat'''
    abstand = berechne_abstand()
    print(abstand)
    if position == 'hoch':
        return abstand < 60
    if position == 'stehen':
        return 60 < abstand < 140
    else:
        return abstand > 140

def run():
    global zeit, punkte
    while zeit > 0:
        neue_position()
        time.sleep(1)
        while not fertig()and (zeit > 0):
            time.sleep(1)
            zeit -= 1
            zeit_label.config(text=str(zeit))
        punkte += 1
        punkte_label.config(text=str(punkte))

# Hauptprogramm
position='stehen'
fenster = Tk()
bilder = {'stehen':PhotoImage(file='stehen.gif'), 
           'hoch':PhotoImage(file='hoch.gif'),
           'hocke':PhotoImage(file='hocke.gif')}
bild_label = Label(master=fenster,
                   image=bilder['stehen'])
bild_label.grid(row=0, column=0, columnspan=3)
zeit_label = Label(master=fenster,
                text='120',font=('Arial', 20))
zeit_label.grid(row=1, column=0)
punkte_label = Label(master=fenster,
                text='0',font=('Arial', 20))
punkte_label.grid(row=1, column=1)
button = Button(master=fenster, command=start,
         text='Start', font=('Arial', 20))
button.grid(row=1, column=2)
fenster.mainloop()

             
