#! /usr/bin/python2.7
#------------------------------------------------
# zeitraffer.py
# Aufnahme eines Zeitrafferfilms.
# Kurz vor der Aufnahme wird eine LED zur Beleuchtung
# eingeschaltet und anschließend wieder ausgeschaltet.
# Python 2.7
# Michael Weigend
# Raspberry Pi fuer Kids
# Kapitel 17, Aufgabe 1
# 30.8.2014
#------------------------------------------------

import os, time 
from PIL import Image, ImageTk
from Tkinter import Canvas, Tk, Button
from Tkinter import NW, Label, Entry
from thread import start_new_thread
from RPi import GPIO                                 #1
KOMMANDO= 'raspistill -t 300 -w 800 -h 600 -n -o '                                  

def start():
    global stop, zeit
    zeit = int(zeiteingabe.get()) *60
    stop = False
    start_new_thread(run, ())

def stop():
    global stop
    label.config(text='Zeitabstand in min:')
    stop = True

def run():
    #global canvas
    i = 0
    while not stop:
       dateiname = 'bild%04d.jpg' %i
       label.config(text='Datei: '+dateiname)
       i += 1
       GPIO.output(10, False)
       os.system(KOMMANDO + dateiname)
       GPIO.output(10, True)
       bild = Image.open(dateiname)
       bildmitte = bild.crop((200, 150, 600, 450))
       bildmitte.save(dateiname)
       bild_tk = ImageTk.PhotoImage(bildmitte)
       canvas.create_image(0, 0, anchor=NW,
          image=bild_tk)
       time.sleep(zeit)
                                 
def init_GPIO():
    GPIO.setmode(GPIO.BOARD)
    GPIO.setup(10, GPIO.OUT)
    GPIO.output(10, True)
    
# Hauptprogramm
init_GPIO()
fenster = Tk()
canvas = Canvas(master=fenster,
                width=400, height=300)
canvas.pack()
label = Label(master=fenster,
      text='Zeitabstand in min:')
label.pack()
zeiteingabe = Entry(master=fenster, width=3)
zeiteingabe.pack()
Button(master=fenster, command=start,
       width=8, text='Start').pack()
Button(master=fenster, command=stop,
       width=8, text='Stop').pack()
fenster.mainloop()

    


    
